## autorandr 1.4

=== Makefile ===
DESTDIR=/
PREFIX=/usr/

.PHONY: all install uninstall autorandr bash_completion autostart_config pmutils systemd udev

all:
	@echo "Call \"make install\" to install this program."
	@echo "Call \"make uninstall\" to remove this program."
	@echo
	@echo "The following components were autodetected and will be installed:"
	@echo " "$(DEFAULT_TARGETS)
	@echo
	@echo "The following locations have been detected (from pkg-config):"
	@echo " - BASH_COMPLETIONS_DIR: $(BASH_COMPLETIONS_DIR)"
	@echo " - SYSTEMD_UNIT_DIR: $(SYSTEMD_UNIT_DIR)"
	@echo " - UDEV_RULES_DIR: $(UDEV_RULES_DIR)"
	@echo " - PM_SLEEPHOOKS_DIR: $(PM_SLEEPHOOKS_DIR)"
	@echo
	@echo "You can use the TARGETS variable to override this, but need to set"
	@echo "the SYSTEMD_UNIT_DIR, PM_SLEEPHOOKS_DIR and UDEV_RULES_DIR variables"
	@echo "in case they were not detected correctly."
	@echo
	@echo 'E.g. "make install TARGETS='autorandr pmutils' PM_UTILS_DIR=/etc/pm/sleep.d".'
	@echo
	@echo "The following additional targets are available:"
	@echo
	@echo "    make deb        creates a Debian package"

# Rules for autorandr itself
DEFAULT_TARGETS=autorandr

install_autorandr:
	install -D -m 755 autorandr.py ${DESTDIR}${PREFIX}/bin/autorandr

uninstall_autorandr:
	rm -f ${DESTDIR}${PREFIX}/bin/autorandr

# Rules for bash-completion
BASH_COMPLETIONS_DIR:=$(shell pkg-config --variable=completionsdir bash-completion 2>/dev/null)
ifneq (,$(BASH_COMPLETIONS_DIR))
DEFAULT_TARGETS+=bash_completion
endif

install_bash_completion:
	install -D -m 644 contrib/bash_completion/autorandr ${DESTDIR}/${BASH_COMPLETIONS_DIR}/autorandr

uninstall_bash_completion:
	rm -f ${DESTDIR}/${BASH_COMPLETIONS_DIR}/autorandr

# Rules for autostart config
XDG_AUTOSTART_DIR=/etc/xdg/autostart
DEFAULT_TARGETS+=autostart_config

install_autostart_config:
	install -D -m 644 contrib/etc/xdg/autostart/autorandr.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop
ifneq ($(PREFIX),/usr/)
	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop
endif

uninstall_autostart_config:
	rm -f ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop

# Rules for systemd
SYSTEMD_UNIT_DIR:=$(shell pkg-config --variable=systemdsystemunitdir systemd 2>/dev/null)
ifneq (,$(SYSTEMD_UNIT_DIR))
DEFAULT_TARGETS+=systemd
endif

install_systemd:
	$(if $(SYSTEMD_UNIT_DIR),,$(error SYSTEMD_UNIT_DIR is not defined))
	install -D -m 644 contrib/systemd/autorandr.service ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service
ifneq ($(PREFIX),/usr/)
	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service
endif
	@echo
	@echo "To activate the systemd unit, run this command as root:"
	@echo "    systemctl daemon-reload"
	@echo "    systemctl enable autorandr.service"
	@echo

uninstall_systemd:
	$(if $(SYSTEMD_UNIT_DIR),,$(error SYSTEMD_UNIT_DIR is not defined))
	rm -f ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service

# Rules for pmutils
PM_SLEEPHOOKS_DIR:=$(shell pkg-config --variable=pm_sleephooks pm-utils 2>/dev/null)
ifneq (,$(PM_SLEEPHOOKS_DIR))
ifeq (,$(SYSTEMD_UNIT_DIR))
DEFAULT_TARGETS+=pmutils
endif
endif

install_pmutils:
	$(if $(PM_SLEEPHOOKS_DIR),,$(error PM_SLEEPHOOKS_DIR is not defined))
	install -D -m 755 contrib/pm-utils/40autorandr ${DESTDIR}/${PM_SLEEPHOOKS_DIR}/40autorandr
ifneq ($(PREFIX),/usr/)
	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${PM_SLEEPHOOKS_DIR}/40autorandr
endif

uninstall_pmutils:
	$(if $(PM_SLEEPHOOKS_DIR),,$(error PM_SLEEPHOOKS_DIR is not defined))
	rm -f ${DESTDIR}/${PM_SLEEPHOOKS_DIR}/40autorandr


# Rules for udev
UDEV_RULES_DIR:=$(shell pkg-config --variable=udevdir udev 2>/dev/null)/rules.d
ifneq (,$(UDEV_RULES_DIR),y)
DEFAULT_TARGETS+=udev
endif

install_udev:
	$(if $(UDEV_RULES_DIR),,$(error UDEV_RULES_DIR is not defined))
	mkdir -p ${DESTDIR}/${UDEV_RULES_DIR}/
	echo 'ACTION=="change", SUBSYSTEM=="drm", RUN+="$(if $(findstring systemd, $(TARGETS)),/bin/systemctl start --no-block autorandr.service,${PREFIX}/bin/autorandr --batch --change --default default)"' > ${DESTDIR}/${UDEV_RULES_DIR}/40-monitor-hotplug.rules
	@echo
	@echo "To activate the udev rules, run this command as root:"
	@echo "    udevadm control --reload-rules"
	@echo

uninstall_udev:
	$(if $(UDEV_RULES_DIR),,$(error UDEV_RULES_DIR is not defined))
	rm -f ${DESTDIR}/${UDEV_RULES_DIR}/40-monitor-hotplug.rules


TARGETS=$(DEFAULT_TARGETS)
install: $(patsubst %,install_%,$(TARGETS))
uninstall: $(patsubst %,uninstall_%,$(TARGETS))

deb:
	./contrib/packaging/debian/make_deb.sh

=== debian/changelog ===
autorandr (1.4-1) unstable; urgency=medium

  * New upstream release
    - fixes errors when using built-in configuration
  * settings.ini now upstream, disabled patch.

 -- Don Armstrong <don@debian.org>  Fri, 22 Dec 2017 10:25:07 -0800

autorandr (1.3-2) unstable; urgency=medium

  * Add in support for missing config section in settings.ini from
    upstream @e717470ee. (Closes: #884855)

 -- Don Armstrong <don@debian.org>  Thu, 21 Dec 2017 09:09:25 -0800

autorandr (1.3-1) unstable; urgency=medium

  * New upstream release
  * Cherrypick settings.ini patch from upstream
  * Add missing license statements from debian/copyright

 -- Don Armstrong <don@debian.org>  Mon, 11 Dec 2017 10:49:57 -0800

autorandr (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #880373)
  * Initial control description based on upstream packaging

 -- Don Armstrong <don@debian.org>  Mon, 30 Oct 2017 14:07:26 -0700

=== debian/control ===
Source: autorandr
Section: x11
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/phillipberndt/autorandr
# X-Python-Version: >= 2.6
Vcs-Git: https://git.donarmstrong.com/deb_pkgs/autorandr.git
Vcs-Browser: https://git.donarmstrong.com/deb_pkgs/autorandr.git

Package: autorandr
Architecture: all
Depends: x11-xserver-utils, python, ${misc:Depends}
Description: Automatically select a display configuration for connected devices
 Autorandr is a script for managing xrandr configurations based on the
 connected devices. It can be set up to automatically switch to a
 stored configuration whenever a change in the configuration is
 detected.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/autorandr-$1\.tar\.gz/ \
  https://github.com/phillipberndt/autorandr/tags .*/?(\d+(?:\.\d)+)\.tar\.gz

## autorandr 1.6

=== debian/changelog ===
autorandr (1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #905236)

 -- Don Armstrong <don@debian.org>  Wed, 01 Aug 2018 19:33:58 -0700

autorandr (1.5-1) unstable; urgency=medium

  * New upstream release
    - Use stdout for state output (Closes: #891054)
    - Provide --current and --detected (Closes: #891055)
  * Remove --default from service; this should now be specified in a
    configuration file.
  * Document how --default works better (Closes: #891061)

 -- Don Armstrong <don@debian.org>  Tue, 03 Apr 2018 13:56:17 -0700

## autorandr 1.7

=== debian/changelog ===
autorandr (1.7-1) unstable; urgency=medium

  * New upstream release
    - Fix bottom of rotated screen cut off (Closes: #917848)

 -- Don Armstrong <don@debian.org>  Sun, 30 Dec 2018 22:00:08 -0800

## autorandr 1.8.1

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,11 @@
 	@echo "in case they were not detected correctly."
 	@echo
 	@echo 'E.g. "make install TARGETS='autorandr pmutils' PM_UTILS_DIR=/etc/pm/sleep.d".'
+	@echo
+	@echo "An additional TARGETS variable \"launcher\" is available. This"
+	@echo "installs a launcher called \"autorandr_launcher\". The launcher"
+	@echo "is able to be run by the user and calls autorandr automatically"
+	@echo "without using udev rules."
 	@echo
 	@echo "The following additional targets are available:"
 	@echo
@@ -121,6 +126,24 @@
 	$(if $(UDEV_RULES_DIR),,$(error UDEV_RULES_DIR is not defined))
 	rm -f ${DESTDIR}/${UDEV_RULES_DIR}/40-monitor-hotplug.rules
 
+# Rules for manpage
+MANDIR:=${PREFIX}/share/man/man1
+DEFAULT_TARGETS+=manpage
+
+install_manpage:
+	mkdir -p ${DESTDIR}/${MANDIR}
+	cp autorandr.1 ${DESTDIR}/${MANDIR}
+
+uninstall_manpage:
+	rm -f ${DESTDIR}/${MANDIR}/autorandr.1
+
+# Rules for launcher
+install_launcher:
+	gcc -Wall contrib/autorandr_launcher/autorandr_launcher.c -o contrib/autorandr_launcher/autorandr_launcher -lxcb -lxcb-randr
+	install -D -m 755 contrib/autorandr_launcher/autorandr_launcher ${DESTDIR}${PREFIX}/bin/autorandr_launcher
+
+uninstall_launcher:
+	rm -f ${DESTDIR}${PREFIX}/bin/autorandr_launcher
 
 TARGETS=$(DEFAULT_TARGETS)
 install: $(patsubst %,install_%,$(TARGETS))

=== debian/changelog ===
autorandr (1.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration. 
    (Closes: #950360)

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Jan 2020 12:44:15 -0500

autorandr (1.8.1-2) unstable; urgency=medium

  * Switch to using python3 by changing the #! line and dependencies; no
    other changes were required (Closes: #936170)
  * Use default as the default autorandr configuration when called via systemd

 -- Don Armstrong <don@debian.org>  Fri, 30 Aug 2019 00:30:36 -0700

autorandr (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Remove Debian autorandr manpage

 -- Don Armstrong <don@debian.org>  Fri, 16 Aug 2019 21:18:44 -0700

=== debian/control ===
Source: autorandr
Section: x11
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/phillipberndt/autorandr
Vcs-Git: https://salsa.debian.org/debian/autorandr.git
Vcs-Browser: https://salsa.debian.org/debian/autorandr.git

Package: autorandr
Architecture: all
Depends: x11-xserver-utils, python3, ${misc:Depends}
Description: Automatically select a display configuration for connected devices
 Autorandr is a script for managing xrandr configurations based on the
 connected devices. It can be set up to automatically switch to a
 stored configuration whenever a change in the configuration is
 detected.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/autorandr-$1\.tar\.gz/ \
  https://github.com/phillipberndt/autorandr/tags .*?/(\d+(?:\.\d+)+)\.tar\.gz

## autorandr 1.10.1

=== debian/changelog ===
autorandr (1.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #958833)

 -- Don Armstrong <don@debian.org>  Sun, 23 Aug 2020 17:49:28 -0700

autorandr (1.9-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 21 Feb 2020 18:40:24 -0800

## autorandr 1.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 DESTDIR=/
 PREFIX=/usr/
+RPM_SPEC=contrib/packaging/rpm/autorandr.spec
+CFLAGS?=-O2 -Wall
+CLEANUP_FILES=
 
 .PHONY: all install uninstall autorandr bash_completion autostart_config pmutils systemd udev
 
@@ -25,11 +28,13 @@
 	@echo "An additional TARGETS variable \"launcher\" is available. This"
 	@echo "installs a launcher called \"autorandr_launcher\". The launcher"
 	@echo "is able to be run by the user and calls autorandr automatically"
-	@echo "without using udev rules."
+	@echo "without using udev rules. The launcher is an alternative to the"
+	@echo "udev/systemd setup that is more stable for some users."
 	@echo
 	@echo "The following additional targets are available:"
 	@echo
 	@echo "    make deb        creates a Debian package"
+	@echo "    make rpm        creates a RPM package"
 
 # Rules for autorandr itself
 DEFAULT_TARGETS=autorandr
@@ -109,7 +114,7 @@
 
 # Rules for udev
 UDEV_RULES_DIR:=$(shell pkg-config --variable=udevdir udev 2>/dev/null)/rules.d
-ifneq (,$(UDEV_RULES_DIR),y)
+ifneq (/rules.d,$(UDEV_RULES_DIR))
 DEFAULT_TARGETS+=udev
 endif
 
@@ -138,12 +143,24 @@
 	rm -f ${DESTDIR}/${MANDIR}/autorandr.1
 
 # Rules for launcher
-install_launcher:
-	gcc -Wall contrib/autorandr_launcher/autorandr_launcher.c -o contrib/autorandr_launcher/autorandr_launcher -lxcb -lxcb-randr
-	install -D -m 755 contrib/autorandr_launcher/autorandr_launcher ${DESTDIR}${PREFIX}/bin/autorandr_launcher
+LAUNCHER_LDLIBS=$(shell pkg-config --libs pkg-config xcb xcb-randr 2>/dev/null)
+ifneq (,$(LAUNCHER_LDLIBS))
+CLEANUP_FILES+=contrib/autorandr_launcher/autorandr-launcher
+LAUNCHER_CFLAGS=$(shell pkg-config --cflags pkg-config xcb xcb-randr 2>/dev/null)
+contrib/autorandr_launcher/autorandr-launcher: contrib/autorandr_launcher/autorandr_launcher.c
+	$(CC) $(CFLAGS) $(LAUNCHER_CFLAGS) -o $@ $+ $(LDFLAGS) $(LAUNCHER_LDLIBS) $(LDLIBS)
+
+install_launcher: contrib/autorandr_launcher/autorandr-launcher
+	install -D -m 755 contrib/autorandr_launcher/autorandr-launcher ${DESTDIR}${PREFIX}/bin/autorandr-launcher
+	install -D -m 644 contrib/etc/xdg/autostart/autorandr-launcher.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-launcher.desktop
+ifneq ($(PREFIX),/usr/)
+	sed -i -re 's#/usr/bin/autorandr-launcher#$(subst #,\#,${PREFIX})/bin/autorandr-launcher#g' ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-launcher.desktop
+endif
+endif
 
 uninstall_launcher:
-	rm -f ${DESTDIR}${PREFIX}/bin/autorandr_launcher
+	rm -f ${DESTDIR}${PREFIX}/bin/autorandr-launcher
+	rm -f ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-launcher.desktop
 
 TARGETS=$(DEFAULT_TARGETS)
 install: $(patsubst %,install_%,$(TARGETS))
@@ -151,3 +168,10 @@
 
 deb:
 	./contrib/packaging/debian/make_deb.sh
+
+rpm:
+	spectool -g -R $(RPM_SPEC)
+	rpmbuild -ba $(RPM_SPEC)
+
+clean:
+	rm -f $(CLEANUP_FILES)

=== debian/changelog ===
autorandr (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Wed, 25 Nov 2020 10:07:51 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
+Build-Depends: debhelper (>= 12), dh-python, python3-all, python3-setuptools
 Standards-Version: 4.4.0
 Homepage: https://github.com/phillipberndt/autorandr
 Vcs-Git: https://salsa.debian.org/debian/autorandr.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- UDEV_RULES_DIR=/lib/udev/rules.d \
		SYSTEMD_UNIT_DIR=/lib/systemd/system \
		BASH_COMPLETIONS_DIR=/usr/share/bash-completion/completions \
		PM_SLEEPHOOKS_DIR=/etc/pm/sleep.d/

override_dh_auto_install:
	dh_auto_install -- UDEV_RULES_DIR=/lib/udev/rules.d \
		SYSTEMD_UNIT_DIR=/lib/systemd/system \
		BASH_COMPLETIONS_DIR=/usr/share/bash-completion/completions \
		PM_SLEEPHOOKS_DIR=/etc/pm/sleep.d/
	install -D -m 755 contrib/pm-utils/40autorandr debian/autorandr/etc/pm/sleep.d/40autorandr

# we do not supply an init script
override_dh_installinit:
	dh_installinit -n

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pybuild autorandr.egg-info

## autorandr 1.12.1

=== debian/changelog ===
autorandr (1.12.1-1) unstable; urgency=medium

  * New upstream releases
    - Fixes deprecated distutils (Closes: #1010039)

 -- Don Armstrong <don@debian.org>  Fri, 22 Apr 2022 16:55:54 -0700

## autorandr 1.14

=== debian/changelog ===
autorandr (1.14-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev rules to follow pkg-config (Closes: 1056966)

  [ Don Armstrong ]
  * Use pkg-config for everything except PM_SLEEPHOOKS_DIR
  * Add missing dependency on libinput-tools (Closes: 1035044)

 -- Don Armstrong <don@debian.org>  Thu, 30 Nov 2023 20:07:33 -0800

autorandr (1.14-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 17 Nov 2023 21:31:51 -0800

autorandr (1.13.3-1) unstable; urgency=medium

  [ Debian Janitor]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.6.1, no changes needed.

  [ Don Armstrong ]
  * New upstream release
  * Install zsh completions
  * Use StartLimitIntervalSec again, as even oldoldstable has systemd >>
    230
  * Install things from contrib as examples
  * Add dependencies on pkgconf and systemd-dev so the unit file location
    can be guessed by default.

  [Helmut Grohne]
  * Install systemd unit only once. (Closes: #1054477)

 -- Don Armstrong <don@debian.org>  Fri, 27 Oct 2023 21:11:41 -0700

=== debian/control ===
Source: autorandr
Section: x11
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, desktop-file-utils, systemd-dev, pkgconf
Standards-Version: 4.6.1
Homepage: https://github.com/phillipberndt/autorandr
Vcs-Git: https://salsa.debian.org/debian/autorandr.git
Vcs-Browser: https://salsa.debian.org/debian/autorandr

Package: autorandr
Architecture: all
Depends: x11-xserver-utils, python3, libinput-tools, ${misc:Depends}
Description: Automatically select a display configuration for connected devices
 Autorandr is a script for managing xrandr configurations based on the
 connected devices. It can be set up to automatically switch to a
 stored configuration whenever a change in the configuration is
 detected.

## autorandr 1.15

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,8 @@
 DEFAULT_TARGETS=autorandr
 
 install_autorandr:
-	install -D -m 755 autorandr.py ${DESTDIR}${PREFIX}/bin/autorandr
+	mkdir -p ${DESTDIR}${PREFIX}/bin
+	install -m 755 autorandr.py ${DESTDIR}${PREFIX}/bin/autorandr
 
 uninstall_autorandr:
 	rm -f ${DESTDIR}${PREFIX}/bin/autorandr
@@ -52,7 +53,8 @@
 endif
 
 install_bash_completion:
-	install -D -m 644 contrib/bash_completion/autorandr ${DESTDIR}/${BASH_COMPLETIONS_DIR}/autorandr
+	mkdir -p ${DESTDIR}/${BASH_COMPLETIONS_DIR}
+	install -m 644 contrib/bash_completion/autorandr ${DESTDIR}/${BASH_COMPLETIONS_DIR}/autorandr
 
 uninstall_bash_completion:
 	rm -f ${DESTDIR}/${BASH_COMPLETIONS_DIR}/autorandr
@@ -62,13 +64,20 @@
 DEFAULT_TARGETS+=autostart_config
 
 install_autostart_config:
-	install -D -m 644 contrib/etc/xdg/autostart/autorandr.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop
+	mkdir -p ${DESTDIR}/${XDG_AUTOSTART_DIR}
+	install -m 644 contrib/etc/xdg/autostart/autorandr.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop
+	# KDE-specific autostart (workaround for https://github.com/systemd/systemd/issues/18791)
+	install -m 644 contrib/etc/xdg/autostart/autorandr.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-kde.desktop
+	desktop-file-edit --remove-key=X-GNOME-Autostart-Phase --add-only-show-in=KDE ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-kde.desktop
+
 ifneq ($(PREFIX),/usr/)
 	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop
+	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-kde.desktop
 endif
 
 uninstall_autostart_config:
 	rm -f ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr.desktop
+	rm -f ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-kde.desktop
 
 # Rules for systemd
 SYSTEMD_UNIT_DIR:=$(shell pkg-config --variable=systemdsystemunitdir systemd 2>/dev/null)
@@ -78,19 +87,23 @@
 
 install_systemd:
 	$(if $(SYSTEMD_UNIT_DIR),,$(error SYSTEMD_UNIT_DIR is not defined))
-	install -D -m 644 contrib/systemd/autorandr.service ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service
+	mkdir -p ${DESTDIR}/${SYSTEMD_UNIT_DIR}
+	install -m 644 contrib/systemd/autorandr.service ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service
+	install -m 644 contrib/systemd/autorandr-lid-listener.service ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr-lid-listener.service
 ifneq ($(PREFIX),/usr/)
 	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service
 endif
 	@echo
-	@echo "To activate the systemd unit, run this command as root:"
+	@echo "To activate the systemd units, run this command as root:"
 	@echo "    systemctl daemon-reload"
 	@echo "    systemctl enable autorandr.service"
+	@echo "    systemctl enable autorandr-lid-listener.service"
 	@echo
 
 uninstall_systemd:
 	$(if $(SYSTEMD_UNIT_DIR),,$(error SYSTEMD_UNIT_DIR is not defined))
 	rm -f ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr.service
+	rm -f ${DESTDIR}/${SYSTEMD_UNIT_DIR}/autorandr-lid-listener.service
 
 # Rules for pmutils
 PM_SLEEPHOOKS_DIR:=$(shell pkg-config --variable=pm_sleephooks pm-utils 2>/dev/null)
@@ -102,7 +115,8 @@
 
 install_pmutils:
 	$(if $(PM_SLEEPHOOKS_DIR),,$(error PM_SLEEPHOOKS_DIR is not defined))
-	install -D -m 755 contrib/pm-utils/40autorandr ${DESTDIR}/${PM_SLEEPHOOKS_DIR}/40autorandr
+	mkdir -p ${DESTDIR}/${PM_SLEEPHOOKS_DIR}
+	install -m 755 contrib/pm-utils/40autorandr ${DESTDIR}/${PM_SLEEPHOOKS_DIR}/40autorandr
 ifneq ($(PREFIX),/usr/)
 	sed -i -re 's#/usr/bin/autorandr#$(subst #,\#,${PREFIX})/bin/autorandr#g' ${DESTDIR}/${PM_SLEEPHOOKS_DIR}/40autorandr
 endif
@@ -121,7 +135,7 @@
 install_udev:
 	$(if $(UDEV_RULES_DIR),,$(error UDEV_RULES_DIR is not defined))
 	mkdir -p ${DESTDIR}/${UDEV_RULES_DIR}/
-	echo 'ACTION=="change", SUBSYSTEM=="drm", RUN+="$(if $(findstring systemd, $(TARGETS)),/bin/systemctl start --no-block autorandr.service,${PREFIX}/bin/autorandr --batch --change --default default)"' > ${DESTDIR}/${UDEV_RULES_DIR}/40-monitor-hotplug.rules
+	echo 'ACTION=="change", SUBSYSTEM=="drm", RUN+="$(if $(findstring systemd, $(DEFAULT_TARGETS)),/bin/systemctl start --no-block autorandr.service,${PREFIX}/bin/autorandr --batch --change --default default)"' > ${DESTDIR}/${UDEV_RULES_DIR}/40-monitor-hotplug.rules
 	@echo
 	@echo "To activate the udev rules, run this command as root:"
 	@echo "    udevadm control --reload-rules"
@@ -147,12 +161,15 @@
 ifneq (,$(LAUNCHER_LDLIBS))
 CLEANUP_FILES+=contrib/autorandr_launcher/autorandr-launcher
 LAUNCHER_CFLAGS=$(shell pkg-config --cflags pkg-config xcb xcb-randr 2>/dev/null)
+DEF_AUTORANDR_PATH="-DAUTORANDR_PATH=\"${DESTDIR}${PREFIX}/bin/autorandr\""
 contrib/autorandr_launcher/autorandr-launcher: contrib/autorandr_launcher/autorandr_launcher.c
-	$(CC) $(CFLAGS) $(LAUNCHER_CFLAGS) -o $@ $+ $(LDFLAGS) $(LAUNCHER_LDLIBS) $(LDLIBS)
+	$(CC) $(CFLAGS) $(LAUNCHER_CFLAGS) $(DEF_AUTORANDR_PATH) -o $@ $+ $(LDFLAGS) $(LAUNCHER_LDLIBS) $(LDLIBS)
 
 install_launcher: contrib/autorandr_launcher/autorandr-launcher
-	install -D -m 755 contrib/autorandr_launcher/autorandr-launcher ${DESTDIR}${PREFIX}/bin/autorandr-launcher
-	install -D -m 644 contrib/etc/xdg/autostart/autorandr-launcher.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-launcher.desktop
+	mkdir -p ${DESTDIR}${PREFIX}/bin
+	install -m 755 contrib/autorandr_launcher/autorandr-launcher ${DESTDIR}${PREFIX}/bin/autorandr-launcher
+	mkdir -p ${DESTDIR}/${XDG_AUTOSTART_DIR}
+	install -m 644 contrib/etc/xdg/autostart/autorandr-launcher.desktop ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-launcher.desktop
 ifneq ($(PREFIX),/usr/)
 	sed -i -re 's#/usr/bin/autorandr-launcher#$(subst #,\#,${PREFIX})/bin/autorandr-launcher#g' ${DESTDIR}/${XDG_AUTOSTART_DIR}/autorandr-launcher.desktop
 endif

=== debian/changelog ===
autorandr (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Declare Rules-Requires-Root: no
  * Don't install contrib/autorandr_launcher/.gitignore

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Sep 2024 18:47:55 +0200

autorandr (1.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:56:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Homepage: https://github.com/phillipberndt/autorandr
 Vcs-Git: https://salsa.debian.org/debian/autorandr.git
 Vcs-Browser: https://salsa.debian.org/debian/autorandr
+Rules-Requires-Root: no
 
 Package: autorandr
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		PM_SLEEPHOOKS_DIR=/etc/pm/sleep.d/

override_dh_auto_install:
	dh_auto_install -- \
		PM_SLEEPHOOKS_DIR=/etc/pm/sleep.d/
	install -D -m 755 contrib/pm-utils/40autorandr debian/autorandr/etc/pm/sleep.d/40autorandr
	install -D -m 644 contrib/zsh_completion/_autorandr debian/autorandr/usr/share/zsh/vendor-completions/_autorandr

# we do not supply an init script
override_dh_installinit:
	dh_installinit -n

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pybuild autorandr.egg-info
